This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 152998 - postuninstall script using /sbin/ldconfig should most likely be using /bin/sh
postuninstall script using /sbin/ldconfig should most likely be using /bin/sh
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-31 14:32 EST by Jef Spaleta
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-31 14:43:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2005-03-31 14:32:47 EST
Version-Release number of selected component (if applicable):
control-center-2.10.0-3  currently in rawhide
and 
control-center-2.10.0-2 older rawhide package

from rpm -q --scripts control-center

postuninstall scriptlet (using /sbin/ldconfig):  <-------------- /bin/sh ??????
update-desktop-database --quiet /usr/share/applications
touch --no-create /usr/share/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache /usr/share/icons/hicolor
fi

Additional info:
I expected to see (using /bin/sh) 
indeed if i edit the spec file and rebuild locally the package uninstalls correctly.
Comment 1 Jef Spaleta 2005-03-31 14:43:42 EST
bah.. the mirror i updated against didnt have the new control-center package
control-center-2.10.0-4   has this fixed

Closing this report, this issue is fixed. 

Note You need to log in before you can comment on or make changes to this bug.